Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.cmd.action
Class GatewayRecv

    java.lang.Object
      |
      +--org.jbrain.qlink.cmd.AbstractCommand
            |
            +--org.jbrain.qlink.cmd.action.AbstractAction
                  |
                  +--org.jbrain.qlink.cmd.action.AbstractStringAction
                        |
                        +--org.jbrain.qlink.cmd.action.GatewayRecv

All Implemented Interfaces:
  Action, Command

public class GatewayRecv
extends AbstractStringAction

Field Summary
`static java.lang.String` | `MNEMONIC`

Fields inherited from class org.jbrain.qlink.cmd.action.AbstractStringAction
`_sData`

Fields inherited from class org.jbrain.qlink.cmd.action.AbstractAction
`CMD_ACTION`

Fields inherited from class org.jbrain.qlink.cmd.AbstractCommand
`_iCalculatedCRC, _iReportedCRC`

Fields inherited from interface org.jbrain.qlink.cmd.Command
`CMD_START`

Constructor Summary
`GatewayRecv(byte[] data, int start, int len)`

Methods inherited from class org.jbrain.qlink.cmd.action.AbstractStringAction
`getBytes, getData`

Methods inherited from class org.jbrain.qlink.cmd.action.AbstractAction
`finalizeCmd, getAction, getBytes, getName, getString`

Methods inherited from class org.jbrain.qlink.cmd.AbstractCommand
`getCommand, getRecvSequence, getSendSequence, setRecvSequence, setSendSequence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbrain.qlink.cmd.Command
`getCommand, getRecvSequence, getSendSequence, setRecvSequence, setSendSequence`

Field Detail

### MNEMONIC

    public static final java.lang.String MNEMONIC

See Also:
  Constant Field Values

Constructor Detail

### GatewayRecv

    public GatewayRecv(byte[] data,
                       int start,
                       int len)
                throws CRCException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD